Page MenuHomePhabricator

Requesting temporary lift of IP cap for Editathon in University of Canterbury
Closed, ResolvedPublic

Description

I am organizing an editathon at a conference at the University of Canterbury and would like to be able to have attendees register as new users on Wikipedia during the session. There is currently a block on the whole IP due to vandalism I believe or because it's a school.

Event Time Frame: Saturday, September 17 - Sunday, September 18 from 9:00am-4:00pm New Zealand Standard Time

Expected number: 50

List of Wikis: Wikipedia

https://en.wikipedia.org/wiki/Wikipedia:Meetup/Christchurch/1

Can get the IPs when I'm on campus.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterAdd throttling rule for University of Canterbury

Event Timeline

Restricted Application added subscribers: JEumerus, Matanya, Aklapper. · View Herald TranscriptSep 11 2016, 10:06 AM
Urbanecm added a subscriber: Urbanecm.

Please give us the IP address, I'm not able to fulfil the request when I don't know it.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 11 2016, 10:20 AM
Urbanecm moved this task from Backlog to Working on on the User-Urbanecm board.Sep 11 2016, 10:22 AM

Which Wikipedias should be affected by the lift? English one?

Also I couldn't remove (or even change) the block, you must ask local sysops to do it. I think the block can allow account creating (by unchecking Prevent account creation in the block dialog) and allow registred users to edit from the IP (by unchecking Prevent logged-in users from editing from this IP address in the block dialog).

Urbanecm triaged this task as High priority.Sep 11 2016, 10:26 AM
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptSep 11 2016, 10:26 AM

According to WhatsmyIP, the IP address of the university is:
49.224.252.88

Thank you for the info about the block. I believe it might have expired as I was able to edit without logging in today.

So I would just need to be able to add more than 6 users this weekend.

Okay. I'll deploy it today during Europan SWAT (13:00 - 14:00 UTC).

Change 309943 had a related patch set uploaded (by Urbanecm):
Add throttling rule for University of Canterbury

https://gerrit.wikimedia.org/r/309943

The patch contains English Wikipedia only, if you need other projectes, please give it here.

Urbanecm renamed this task from Requesting temporary lift of IP cap for Editathon to Requesting temporary lift of IP cap for Editathon in University of Canterbury.Sep 12 2016, 10:37 AM

Change 309943 merged by jenkins-bot:
Add throttling rule for University of Canterbury

https://gerrit.wikimedia.org/r/309943

Mentioned in SAL [2016-09-12T13:16:36Z] <hashar@tin> Synchronized wmf-config/throttle.php: Add throttling rule for University of Canterbury T145327 (duration: 00m 46s)

Urbanecm closed this task as Resolved.Sep 12 2016, 1:18 PM

Deployed.

Something didn't work. The limit of 6 users per 24 hours was still in force during the event, putting a cramp on the edit-a-thon. :(

Urbanecm reopened this task as Open.Sep 28 2016, 7:22 AM
Urbanecm moved this task from To deploy to Working on on the User-Urbanecm board.

Can you recheck the info which you gave to me? What project were you using?

Urbanecm lowered the priority of this task from High to Low.Sep 28 2016, 7:23 AM

And you gave me dynamic IP address so it might changed. Or, every computer has its own public IP.

Another case could be IPv6 connectivity. If you ask us to whitelist only IPv4 but have also IPv6, browsers tend to prefer to use IPv6, and so you're not whitelisted.

Dereckson closed this task as Resolved.Oct 6 2016, 10:29 AM

Closing as the event is done.